Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/bin/return-assignment
diff options
context:
space:
mode:
Diffstat (limited to 'bin/return-assignment')
-rwxr-xr-xbin/return-assignment25
1 files changed, 25 insertions, 0 deletions
diff --git a/bin/return-assignment b/bin/return-assignment
index cefada5..892aac8 100755
--- a/bin/return-assignment
+++ b/bin/return-assignment
@@ -960,6 +960,31 @@ if [ -n "${errors}" ]; then
exit 1
fi
+some_architecture=$(
+ ls \
+ | sed '
+ s/^.*-\([^-]\+\)\.pkg\.\('"${package_compression_suffix_regex}"'\)$/\1/
+ t
+ d
+ ' \
+ | sort -u \
+ | sed '
+ s/^any$/0 \0/
+ t
+ s/^/1 \0/
+ ' \
+ | sort -k1n,1 \
+ | tail -n1 \
+ | cut -d' ' -f2
+)
+
+for build_log in *.build-log.gz; do
+ [ -f "${build_log}" ] || continue;
+ mv -n \
+ "${build_log}" \
+ "${build_log_directory}/success/$1.$2.$3.$4.${some_architecture}.${build_log##*/}"
+done
+
join -1 2 -2 2 -o 1.1,1.2,2.1 "${tmp_dir}/package-ids" "${tmp_dir}/signing-keys" \
| sponge "${tmp_dir}/package-ids"